JettyPlugin (Gradle API 2.10)
Date: 2015-12-21

org.gradle.api.plugins.jetty

## Class JettyPlugin

- java.lang.Object
- - org.gradle.api.plugins.jetty.JettyPlugin

- All Implemented Interfaces:
    Plugin<Project>

      public class JettyPlugin
      extends Object
      implements Plugin<Project>

  A `Plugin` which extends the `WarPlugin` to add tasks which run the web application using an embedded Jetty web container.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JETTY_RUN`
    `static String` | `JETTY_RUN_WAR`
    `static String` | `JETTY_STOP`
    `static String` | `RELOAD_AUTOMATIC`
    `static String` | `RELOAD_MANUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettyPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Project project)` Apply this plugin to the given target object.
    `org.gradle.api.plugins.JavaPluginConvention` | `getJavaConvention(Project project)`
    `org.gradle.api.plugins.WarPluginConvention` | `getWarConvention(Project project)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JETTY_RUN

          public static final String JETTY_RUN

      See Also:
        Constant Field Values

    - #### JETTY_RUN_WAR

          public static final String JETTY_RUN_WAR

      See Also:
        Constant Field Values

    - #### JETTY_STOP

          public static final String JETTY_STOP

      See Also:
        Constant Field Values

    - #### RELOAD_AUTOMATIC

          public static final String RELOAD_AUTOMATIC

      See Also:
        Constant Field Values

    - #### RELOAD_MANUAL

          public static final String RELOAD_MANUAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JettyPlugin

          public JettyPlugin()

  - ### Method Detail

    - #### apply

          public void apply(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object

    - #### getJavaConvention

          public org.gradle.api.plugins.JavaPluginConvention getJavaConvention(Project project)

    - #### getWarConvention

          public org.gradle.api.plugins.WarPluginConvention getWarConvention(Project project)